【工具使用】IDEA 2019 导入gradle工程问题

导入gradle工程后,提示import changes,结果import失败如下图:
在这里插入图片描述

一、 首先按照提示:Update Gradle wrapper to 4.8.1 version and re-inimport the project

结果失败

二、 接下来去搜"the project uses Gradle 2.9 which is incompatible with IDEA running on Java 10 or newer."

未果

三、再去搜"the project uses Gradle 2.9 which is incompatible with IDEA running on Java 10 or newer."

看到有人表示尝试过以下操作均无效:

  • 文件>项目结构>项目> Project SDK> 1.8(Java版本“ 1.8.0_231”)
  • 文件>项目结构>项目>项目语言级别> SDK默认(8)
  • 文件>项目结构>模块>(确保正确设置了每个适用的模块SDK和语言级别)
  • 文件>设置>构建,执行,部署>构建工具> Gradle> Gradle JVM>使用Project JDK(1.8.0_231)
  • 文件>设置>构建,执行,部署>编译器>项目字节码版本> 8
  • 文件>其他设置>新项目的项目结构>项目设置>项目> Project SDK> 1.8

发现IntelliJ IDEA本身默认情况下在Java 11上运行,官方说明链接

按照官方说明:

  1. 我们需要先安装一个插件Choose Runtime在这里插入图片描述
  2. Find Action Mac(command+shift+A)或点击Help下可找到
    在这里插入图片描述
    在这里插入图片描述
    选择安装的版本,官方提示:
    Select the version to install, the higher the number after b, the more recent is the version. It makes sense to install the most recent version or the version you were asked to try by JetBrains staff. Installing old runtime versions may render your IDE unusable or introduce new issues.
    选择要安装的版本,b之后的数字越高,版本越新。安装最新版本或JetBrains工作人员要求您尝试的版本是有意义的。安装旧的运行时版本可能会导致IDE不可用或引入新问题。
    本人idea2019.2选择build 1.8.0_152正常
    在这里插入图片描述
    安装完后会在~/Library/Preferences/IntelliJIdea2019.2目录下生成idea.jdk文件
    在这里插入图片描述
$ cat idea.jdk         
/Library/Java/JavaVirtualMachines/jdk1.8.0_152.jdk%
  1. 重新打开idea导入工程OK
相关推荐
©️2020 CSDN 皮肤主题: 数字20 设计师:CSDN官方博客 返回首页